package org.gcube.portlets.user.accountingdashboard.client.resources;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;
import com.google.gwt.resources.client.TextResource;

/**
 * 
 * @author Giancarlo Panichi
 *
 *
 */
public interface AppResources extends ClientBundle {

	interface uiDataCss extends CssResource {

		String uiDataMainPanel();

		String uiDataParagraphCentered();

		String uiDataFiltersPanel();

		String uiDataFiltersPeriodPanel();

		String uiDataFiltersExplorePanel();

		String uiDataFiltersTitle();

		String uiDataFiltersFormPanel();

		String uiDataFiltersControls();

		String uiDataExploreTree();

		String uiDataReportPanel();

		String uiDataChartWrapper();

		String uiDataChartCanvas();

		String uiDataMonitorPopup();

		String uiDataMonitorPopupGlass();

		String uiDataMonitorPopupProgress();

		String uiDataPopup();

		String uiDataPopupGlass();

		//String uiDataFormTable();

		//String uiDataFormPager();

		// String uiDataActionParagraph();
		// String uiDataAccordionGroup();

		// String uiDataBody();
		// String uiDataLabel();
		// String uiDataLabelKeyTag();
		// String uiDataLabelGeoAreaTag();

		/*
		 * String uiDataButtonRefresh(); String uiDataIconRefresh(); String
		 * uiDataMainDataPanel(); String uiDataRow(); String uiDataTable();
		 * String uiDataTableStriped(); String uiDataPager(); String
		 * uiDataDataTable(); String uiDataDataFirstTr(); String
		 * uiDataDataFirstTdHead(); String uiDataDataFirstTd(); String
		 * uiDataDataTr(); String uiDataDataTdHead(); String uiDataDataTd();
		 * String uiDataDataUl(); String uiDataDataLi(); String
		 * uiDataSmallDataTable(); String uiDataSmallDataTh(); String
		 * uiDataSmallDataTd(); String uiDataNoMarginTable(); String
		 * uiDataMarginBottomFixedTable(); String uiDataTh(); String
		 * uiDataColumnCentered();
		 */

	}

	@Source("uiData.css")
	uiDataCss uiDataCss();

	@Source("Chart.bundle.js")
	TextResource chartJS();

}
